#include "testlib.h"
 
using namespace std;
 
using ll = long long;
 
const int N = 100'000;
const ll VAL = 1'000'000'000;
//                        0     1     2      3     4    5    6
const int   max_N[7] = {  N,   15,  300,  5000, 5000,   N,   N};
const int min_val[7] = {  0,    0,    0,     0,    0,   0,   0};
const int max_val[7] = {VAL,  VAL,  VAL,   VAL,  VAL, VAL, VAL};
const bool zero_d[7] = {  0,    0,    0,     1,    0,   1,   0};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
 
    int n = inf.readInt(1, max_N[gr_n], "n");
    inf.readEoln();

    if (zero_d[gr_n]) {
        inf.readInts(n, 0, 0, "d");
    } else {
        inf.readInts(n, min_val[gr_n], max_val[gr_n], "d");
    }
    inf.readEoln();
    inf.readInts(n, min_val[gr_n], max_val[gr_n], "l");
    inf.readEoln();
    inf.readInts(n, min_val[gr_n], max_val[gr_n], "r");
    inf.readEoln();
    int a0 = inf.readInt(min_val[gr_n], max_val[gr_n], "a0");
    inf.readSpace();
    int b0 = inf.readInt(min_val[gr_n], max_val[gr_n], "b0");
    inf.readEoln();
    inf.readEof();
}

