#include <bits/stdc++.h>

using namespace std;

const char en = '\n';
using ll = long long;

#ifdef LOCAL
#include "debug.h"
#endif

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int n;
    cin >> n;
    vector<ll> d(n + 1), l(n + 1), r(n + 1);
    ll a0, b0;
    for (int i = 1; i <= n; ++i) {
        cin >> d[i];
    }
    for (int i = 1; i <= n; ++i) {
        cin >> l[i];
    }
    for (int i = 1; i <= n; ++i) {
        cin >> r[i];
    }
    cin >> a0 >> b0;
    vector<array<pair<ll, ll>, 2>> dp(n + 1);
    dp[0][0] = dp[0][1] = {a0, b0};
    for (int i = 1; i <= n; ++i) {
        for (int j = 0; j < i; ++j) {
            for (int p = 0; p < 2; ++p) {
                pair<ll, ll> cur = dp[j][p];
                for (int k = j + 1; k <= i; ++k) {
                    cur.first += d[k];
                    cur.second += d[k];

                    cur.first = min(cur.first, l[k]);
                }
                if (cur.first + cur.second > dp[i][0].first + dp[i][0].second) {
                    dp[i][0] = cur;
                }
            }
            for (int p = 0; p < 2; ++p) {
                pair<ll, ll> cur = dp[j][p];
                for (int k = j + 1; k <= i; ++k) {
                    cur.first += d[k];
                    cur.second += d[k];

                    cur.second = min(cur.second, r[k]);
                }
                if (cur.first + cur.second > dp[i][1].first + dp[i][1].second) {
                    dp[i][1] = cur;
                }
            }
        }
    }
    cout << max(dp[n][0].first + dp[n][0].second,
                dp[n][1].first + dp[n][1].second) << en;
}
