#include <bits/stdc++.h>

using namespace std;

using ll = long long;

#ifdef LOCAL
#include "debug.h"
#endif

const char en = '\n';
const ll INFLL = 1'000'000'000'000'000'000;

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int n;
    cin >> n;
    vector<int> d(n + 1);
    vector<ll> l(n + 1), r(n + 1);
    ll a0, b0;
    for (int i = 1; i <= n; ++i) {
        cin >> d[i];
    }
    for (int i = 1; i <= n; ++i) {
        cin >> l[i];
    }
    for (int i = 1; i <= n; ++i) {
        cin >> r[i];
    }
    cin >> a0 >> b0;
    l[0] = a0;
    r[0] = b0;
    ll sum = 0;
    for (int i = n; i >= 0; --i) {
        if (i != n) {
            sum += d[i + 1];
        }
        l[i] += sum;
        r[i] += sum;
    }
    map<ll, ll> mp;
    for (int i = 0; i <= n; ++i) {
        if (mp.find(l[i]) != mp.end()) {
            mp[l[i]] = min(mp[l[i]], r[i]);
        } else {
            mp[l[i]] = r[i];
        }
    }
    ll ans = 0;
    ll b = r[0];
    for (auto &[a, v] : mp) {
        ans = max(ans, min(a, l[0]) + b);
        b = min(b, v);
    }
    cout << ans << en;
}
