#include "bits/stdc++.h"

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define rep1(i, n) for (int i = 1; i < (n); ++i)
#define rep1n(i, n) for (int i = 1; i <= (n); ++i)
#define repr(i, n) for (int i = (n) - 1; i >= 0; --i)
#define pb push_back
#define eb emplace_back
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define each(x, a) for (auto &x : a)
#define ar array
#define vec vector
#define range(i, n) rep(i, n)

using namespace std;

using ll = long long;
using ull = unsigned long long;
using ld = double;
using str = string;
using pi = pair<int, int>;
using pl = pair<ll, ll>;

using vi = vector<int>;
using vl = vector<ll>;
using vpl = vector<pl>;
using vpi = vector<pair<int, int>>;
using vvi = vector<vi>;

int Bit(int mask, int b) { return (mask >> b) & 1; }

template<class T>
bool ckmin(T &a, const T &b) {
    if (b < a) {
        a = b;
        return true;
    }
    return false;
}

template<class T>
bool ckmax(T &a, const T &b) {
    if (b > a) {
        a = b;
        return true;
    }
    return false;
}

const int INFi = 2e9;
const ll INF = 2e18;

void solve() {
    int n; cin >> n;
    vector<ll> d(n), l(n), r(n);
    rep(i, n) cin >> d[i];
    rep(i, n) cin >> l[i];
    rep(i, n) cin >> r[i];
    vector<pair<ll, ll>> can;
    {
        ll x, y; cin >> x >>y ;
        can.emplace_back(x, y);
    }
    rep(i, n) {
        vector<pair<ll, ll>> can2;
        for(auto &[x, y] : can) {
            can2.emplace_back(min(x + d[i], l[i]), y + d[i]);
            can2.emplace_back(x + d[i], min(y + d[i], r[i]));
        }
        sort(all(can2));
        can.clear();
        for(auto &[x, y] : can2) {
            while (!can.empty() && can.back().second <= y) can.pop_back();
            can.emplace_back(x, y);
        }
    }
    ll ans = 0;
    for(auto &[x, y] : can) ans = max(ans, x + y);
    cout << ans << '\n';
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout << setprecision(15) << fixed;
    int t = 1;
//    cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}
